
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "p_layout.html" %}
{% block content %}
 <center>
{% if error %}
<p class=error><strong>Error:</strong> {{ error }}
{% endif %}
<br>
{% with messages = get_flashed_messages(with_categories=true) %}
{% if messages %}
<div class="alert alert-{{ messages.0.0 }}" role="alert">
{% for category, message in messages %}
{{ message }} </br>
{% endfor %}
*</div>
{% endif %}
{% endwith %}
</center>
<link href="{{ url_for('static', filename='pa/css/jquery.dataTables.min.css') }}" rel="stylesheet" media="screen">
<script src="{{url_for('static', filename='pa/js/jquery-3.3.1.js') }}"></script>
<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>
<table id="example" class="display" style="width:100%">
        <thead>
            <tr>
                <th>Name</th>
                <th>email</th>
                <th>Credit</th>
                <th>Localisation</th>
                <th>Controle</th>
                <th>Edit</th>
            </tr>
        </thead>
        <tbody>
        	{% for user in users %}
            <tr>
                <td>{{ user.username }}</td>
                <td>{{ user.email }}</td>
                <td><font color="gold"><i class="fas fa-coins"></i> <b>{{ user.credit }}</b></font></td>
                <td>{{ user.current_login_ip }}</td>
                {% if user.is_admin %}<td><b><font color="green"><i class="fas fa-user-shield"></i>Admin</font></b></td>{% else %}<td><b><font color="red"><i class="fas fa-user"></i>User</font></b></td>{% endif %}
                <td><a href="{{ url_for('panel.editpassword', users_id=user.id) }}"><i class="fas fa-key"></i></a>
                <a href="{{ url_for('panel.edituser', users_id=user.id) }}"><i class="fas fa-users-cog"></i></a><a href="{{ url_for('panel.deluser', id=user.id) }}" ><i class="fa fa-trash" onclick="return confirm('Are You Sure For Delete?')"></i></a>

                </td>

            </tr>
         {% endfor %}
        </tbody>
    </table>

    {% endblock content %}